Bug 549853 - Kernel panic on rhel5.5 nightly tree
Summary: Kernel panic on rhel5.5 nightly tree
Keywords:
Status: CLOSED DUPLICATE of bug 544670
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 20:05 UTC by Gurhan Ozen
Modified: 2013-11-04 01:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-13 20:54:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gurhan Ozen 2009-12-22 20:05:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Gurhan Ozen 2009-12-22 20:08:23 UTC
I inadvertently pressed return key while i was entering details. Here it is:

Code: 48 f7 f6 49 c1 ee 07 83 7d cc 00 74 1c 48 8b 55 d0 4c 89 a5 
RIP  [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 RSP <ffff81007fdb3db8>
 <0>Kernel panic - not syncing: Fatal exception
 <0>divide error: 0000 [23] SMP 
last sysfs file: 
CPU 22 
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.18-182.el5 #1
RIP: 0010:[<ffffffff8008c8fd>]  [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
RSP: 0018:ffff81007fe5fdb8  EFLAGS: 00010046
RAX: 0000000000000000 RBX: 00000000000000ff RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 00000000000000c0
RBP: ffff81007fe5fea8 R08: 0000000000000018 R09: 0000000000000028
R10: ffff810139f89788 R11: 0000000000000048 R12: ffff810139f89780
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff810139f7cd40(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000201000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff810139f9e000, task ffff810102b6a820)
Stack:  0000000000000000 ffff81007fe5fee8 ffff81007fe5ff10 0000000000000000
 ffff81007fe5ff08 0000001600000000 ffff810139c545e0 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff8008e9a1>] rebalance_tick+0x183/0x3cb
 [<ffffffff8009910d>] update_process_times+0x68/0x78
 [<ffffffff80078994>] smp_local_timer_interrupt+0x2f/0x66
 [<ffffffff80078fd1>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8006c37c>] default_idle+0x0/0x50
 [<ffffffff8005ec8e>] apic_timer_interrupt+0x66/0x6c
 <EOI>  [<ffffffff8006c3a5>] default_idle+0x29/0x50
 [<ffffffff80049793>] cpu_idle+0x95/0xb8
 [<ffffffff8007873d>] start_secondary+0x4a1/0x4b0


Code: 48 f7 f6 49 c1 ee 07 83 7d cc 00 74 1c 48 8b 55 d0 4c 89 a5 
RIP  [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 RSP <ffff81007fe5fdb8>
 <0>Kernel panic - not syncing: Fatal exception
 <0>divide error: 0000 [24] SMP 
last sysfs file: 
CPU 21 
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.18-182.el5 #1
RIP: 0010:[<ffffffff8008c8fd>]  [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
RSP: 0018:ffff810139f9bdb8  EFLAGS: 00010046
RAX: 0000000000000000 RBX: 00000000000000ff RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 00000000000000c0
RBP: ffff810139f9bea8 R08: 0000000000000018 R09: 0000000000000028
R10: ffff810139f89788 R11: 0000000000000048 R12: ffff810139f89780
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff810139f3ddc0(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000201000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff81007fe36000, task ffff810237c3b820)
Stack:  0000000000000000 ffff810139f9bee8 ffff810139f9bf10 0000000000000000
 ffff810139f9bf08 0000001500000000 ffff810139c4bf60 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff8008e9a1>] rebalance_tick+0x183/0x3cb
 [<ffffffff8009910d>] update_process_times+0x68/0x78
 [<ffffffff80078994>] smp_local_timer_interrupt+0x2f/0x66
 [<ffffffff80078fd1>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8006c37c>] default_idle+0x0/0x50
 [<ffffffff8005ec8e>] apic_timer_interrupt+0x66/0x6c
 <EOI>  [<ffffffff8006c3a5>] default_idle+0x29/0x50
 [<ffffffff80049793>] cpu_idle+0x95/0xb8
 [<ffffffff8007873d>] start_secondary+0x4a1/0x4b0


Code: 48 f7 f6 49 c1 ee 07 83 7d cc 00 74 1c 48 8b 55 d0 4c 89 a5 
RIP  [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 RSP <ffff810139f9bdb8>
 <0>Kernel panic - not syncing: Fatal exception
 BUG: warning at drivers/char/vt.c:3362/do_unblank_screen() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff801b1a6a>] do_unblank_screen+0x5b/0x138
 [<ffffffff80083215>] bust_spinlocks+0x1c/0x46
 [<ffffffff8009287c>] panic+0x88/0x22b
 [<ffffffff801b1a2f>] do_unblank_screen+0x20/0x138
 [<ffffffff80065ffa>] oops_end+0x51/0x53
 [<ffffffff8006cd09>] die+0x3a/0x44
 [<ffffffff8006d118>] do_divide_error+0xaa/0xb4
 [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 [<ffffffff8005ede9>] error_exit+0x0/0x84
 [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 [<ffffffff8008c8d0>] find_busiest_group+0x20d/0x621
 [<ffffffff8008e9a1>] rebalance_tick+0x183/0x3cb
 [<ffffffff8009910d>] update_process_times+0x68/0x78
 [<ffffffff80078994>] smp_local_timer_interrupt+0x2f/0x66
 [<ffffffff80078fd1>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8006c37c>] default_idle+0x0/0x50
 [<ffffffff8005ec8e>] apic_timer_interrupt+0x66/0x6c
 <EOI>  [<ffffffff8006c3a5>] default_idle+0x29/0x50
 [<ffffffff80049793>] cpu_idle+0x95/0xb8
 [<ffffffff8007873d>] start_secondary+0x4a1/0x4b0

 NMI Watchdog detected LOCKUP on CPU 0
CPU 0 
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.18-182.el5 #1
RIP: 0010:[<ffffffff800773db>]  [<ffffffff800773db>] __smp_call_function_many+0x9a/0xbc
RSP: 0000:ffffffff80446a98  EFLAGS: 00000093
RAX: 0000000000000000 RBX: ffffffff80446ae8 RCX: 0000000000000000
RDX: 00000000000000ff RSI: 00000000000000ff RDI: 00000000000000c0
RBP: 0000000000000017 R08: 0000000000000018 R09: 0000000000000028
R10: ffffffff80446a38 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: ffffffff80077335 R15: 0000000000006000
FS:  0000000000000000(0000) GS:ffffffff803c9000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000201000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffffffff803fa000, task ffffffff80307b60)
Stack:  ffffffff80077335 0000000000000000 ffffffff00000000 ffffffff00000000
 ffffffff802a63bf 0000000000000000 0000000000000000 0000000000000092
 ffffffff802a65b0 ffffffff80077499 0000000000fffffe 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff80077335>] smp_really_stop_cpu+0x0/0xc
 [<ffffffff80077499>] smp_send_stop+0x9c/0xa4
 [<ffffffff80092888>] panic+0x94/0x22b
 [<ffffffff801b1a2f>] do_unblank_screen+0x20/0x138
 [<ffffffff80065ffa>] oops_end+0x51/0x53
 [<ffffffff8006cd09>] die+0x3a/0x44
 [<ffffffff8006d118>] do_divide_error+0xaa/0xb4
 [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 [<ffffffff8005ede9>] error_exit+0x0/0x84
 [<ffffffff8008c8fd>] find_busiest_group+0x23a/0x621
 [<ffffffff8008c8d0>] find_busiest_group+0x20d/0x621
 [<ffffffff8008e9a1>] rebalance_tick+0x183/0x3cb
 [<ffffffff8009910d>] update_process_times+0x68/0x78
 [<ffffffff80078994>] smp_local_timer_interrupt+0x2f/0x66
 [<ffffffff80078fd1>] smp_apic_timer_interrupt+0x41/0x47
 [<ffffffff8006c37c>] default_idle+0x0/0x50
 [<ffffffff8005ec8e>] apic_timer_interrupt+0x66/0x6c
 <EOI>  [<ffffffff8006c3a5>] default_idle+0x29/0x50
 [<ffffffff80049793>] cpu_idle+0x95/0xb8
 [<ffffffff80405807>] start_kernel+0x220/0x225
 [<ffffffff8040522f>] _sinittext+0x22f/0x236


Code: 39 e8 75 f6 45 85 e4 75 04 eb 0a f3 90 8b 44 24 14 39 e8 75 
Kernel panic - not syncing: nmi watchdog

This is with RHEL5.5-Server-20091222.nightly tree on amd-dinar-01.lab.bos.redhat.com. The job can be seen at: http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=111695&type=Single

Comment 2 Prarit Bhargava 2010-01-13 20:54:44 UTC

*** This bug has been marked as a duplicate of bug 553323 ***

Comment 3 Prarit Bhargava 2010-01-13 20:55:19 UTC

*** This bug has been marked as a duplicate of bug 544670 ***


Note You need to log in before you can comment on or make changes to this bug.